# norootforbuild

%define gst_branch		0.10

Name:			gstreamer-0_10-ffmpeg
Summary:		GStreamer Streaming-Media FFmpeg Plug-In
License:		GNU General Public License (GPL)
Group:			System/Libraries
Version:		0.10.10
Release:		999.5
Source:			http://gstreamer.freedesktop.org/src/gst-ffmpeg/gst-ffmpeg-%{version}.tar.bz2
Source90:		gstreamer010-ffmpeg-rpmlintrc
Patch1:			gst-ffmpeg-uninited.patch
Patch2:			gstreamer010-ffmpeg-no-return-in-nonvoid-function.patch
URL:			http://gstreamer.freedesktop.org/
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
PreReq:			filesystem
BuildRequires:  freetype2-devel
BuildRequires:  gamin-devel
BuildRequires:  gstreamer-0_10-devel >= 0.10.29
BuildRequires:  gstreamer-0_10-plugins-base-devel >= 0.10.29
#BuildRequires:  libffmpeg-devel
BuildRequires:  liboil-devel
BuildRequires:  python
BuildRequires:	pcre-devel
BuildRequires:  pyxml
BuildRequires:  SDL-devel
BuildRequires:  sgml-skel
BuildRequires:  valgrind
# Name up to 10.3:
Provides:		gstreamer010-ffmpeg = %{version}
Obsoletes:		gstreamer010-ffmpeg < %{version}

# pmbs ...
BuildRequires:  mDNSResponder-lib

%description
GStreamer is a streaming-media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related. Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

This plugin contains the FFmpeg codecs, containing codecs for most popular
multimedia formats.




Authors:
--------
    Ronald Bultje


%prep
%setup -q -n gst-ffmpeg-%{version}
%patch1
%patch2 -p1
#%{?suse_update_config:%{suse_update_config}}

%build
export CPPFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
%configure \
	--with-package-name='Packman gstreamer-ffmpeg package' \
	--with-package-origin='http://packman.links2linux.de/'
#	--with-system-ffmpeg

%__make %{?jobs:-j%{jobs}}

%install
%makeinstall
%__rm -f %{buildroot}%{_libdir}/gstreamer-%{gst_branch}/*.*a

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README
%dir %{_libdir}/gstreamer-%{gst_branch}
%{_libdir}/gstreamer-%{gst_branch}/lib*.so

%changelog
* Mon Mar 08 2010 Toni Graffy <toni@links2linux.de> - 0.10.10-999.pm.1
- update to 0.10.10 "It's the bomb"
    * Update to revision 21874 of ffmpeg (Feb 18th 2010)
    * Various fixes for encoders
    * Faster plugin/element creation
    * Fix duration of out-of-order buffers

* Sat Nov 20 2009 Toni Graffy <toni@links2linux.de> - 0.10.9-999.pm.2
- rebuild with internal ffmpeg

* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.10.9-999.pm.1
- update to 0.10.9 "Shooting the moon" 
  * Update FFmpeg snapshot to SVN 19580 on the 0.5 branch
  * Improve tag passing
  * Track timestamps and frame delay for improved timestamping
  * Support 4khz ADPCM and g.721

* Sat Mar 21 2009 Toni Graffy <toni@links2linux.de> - 0.10.7-42.pm.1
- update to 0.10.7
- build and linked with packman ffmpeg-packages
  * Update to ffmpeg 0.5 release
  * Support channel layouts for multichannel audio
  * Add mappings for new codecs: Real Video 3.0, EAC3, QCELP, IMC, MLP and more
  * Support push-based demuxers
  * Expose preload and maxdelay muxer properties

* Fri Nov 28 2008 Toni Graffy <toni@links2linux.de> - 0.10.6-42.pm.1
- update to 0.10.6
- Bugs fixed in this release
  * 350738 : [ffvideoscale] GStreamer-Critical when pixel-aspects-rati...
  * 504056 : [ffvideoscale] Switch to using libswscale
  * 542216 : cross compilation and mingw32 support
  * 548304 : missing check for bz2 library and header
  * 551046 : gst-ffmpeg configure complains about libz2, should be libbz2
  * 556336 : [PATCH] gstffmpegdec.c: prefer demuxer's pixel aspect rat...
  * 556405 : gst-ffmpeg fails to build against 20081014 ffmpeg snapshot
  * 560137 : Two build fixes for using system ffmpeg
  * 560305 : x264enc & ffmux_* doesnt link

* Wed Sep 03 2008 Toni Graffy <toni@links2linux.de> - 0.10.5-42.pm.1
- update to 0.10.5
- Bugfixes for:
  * 371939  : mov/mp4/m4a/3gp/3g2 muxers create wrong durations
  * 383420 : [ffmpeg] ISO-derivative muxers don't handle audio correctly
  * 518705 : Can't play streams from Rai.it
  * 533708 : broken mpeg-ts typefinding?
  * 534371 : autogen.sh not dist'ed
  * 534390 : Patch: use av_picture_copy instead of swscale to copy pic...
  * 534392 : PATCH: never use ffdec_faad
  * 534783 : Remove FLV demuxer
  * 540401 : Garbled sound instead of music
  * 549799 : all audio codecs claim to support up to 6 channels

* Thu May 22 2008 Toni Graffy <toni@links2linux.de> - 0.10.4-42.pm.1
- update to 0.10.4
* Fri Apr 25 2008 Toni Graffy <toni@links2linux.de> - 0.10.3-42.pm.1
- changed package layout similar to openSuSE-11.0
* Thu Dec 06 2007 Toni Graffy <toni@links2linux.de> - 0.10.3-0.pm.1
- update to 0.10.3
* Fri Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.10.2-0.pm.2
- openSUSE-10.3 build: _prefix=/usr
* Thu Dec 14 2006 Toni Graffy <toni@links2linux.de> - 0.10.2-0.pm.1
- update to 0.10.2
- removed gst-ffmpeg-no-return.patch
- added subpackage doc
* Fri Dec 08 2006 Toni Graffy <toni@links2linux.de> - 0.10.1-42.pm.2
- rebuild with new gstreamer010
* Sat Nov 25 2006 Toni Graffy <toni@links2linux.de> - 0.10.1-42.pm.1
- build for packman
- spec-file based on SuSE-spec Mon Jun 26 2006 - sbrabec@suse.cz
